SolrDisMaxQuery::setTrigramPhraseSlop
SolrDisMaxQuery::useDisMaxQueryParser
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::setUserFields

(No version information available, might only be in Git)

SolrDisMaxQuery::setUserFields — Sets User Fields parameter (uf)

### Description

public SolrDisMaxQuery SolrDisMaxQuery::setUserFields ( string `$fields` )

Sets User Fields parameter (uf)

User Fields: Specifies which schema fields the end user shall be allowed to query.

### Parameters

`fields`

  Fields names separated by space

  This parameter supports wildcards.

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::setUserFields() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery->setUserFields('field1 field2 *_txt');
echo $dismaxQuery.PHP_EOL;
?>`

The above example will output something similar to:

    q=lucene&defType=edismax&uf=field1 field2 *_txt

### See Also

- SolrDisMaxQuery::addUserField() - Adds a field to User Fields Parameter (uf)
- SolrDisMaxQuery::removeUserField() - Removes a field from The User Fields Parameter (uf)

SolrDisMaxQuery::setTrigramPhraseSlop
SolrDisMaxQuery::useDisMaxQueryParser
SolrDisMaxQuery
PHP Manual